# Method: debug.identitysources.items.listForunmappedidentity

- [HTTP request](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#body.request_body)
- [Response body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#body.ListItemNamesForUnmappedIdentityResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#body.aspect)
- [Try it!](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/debug.identitysources.items/listForunmappedidentity#try-it)

Lists names of items associated with an unmapped identity.

**Note:** This API requires an admin account to execute.

### HTTP request

`GET https://cloudsearch.googleapis.com/v1/debug/{parent=identitysources/*}/items:forunmappedidentity`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the identity source, in the following format: identitysources/{sourceId}} |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |
| `pageSize` | `integer` Maximum number of items to fetch in a request. Defaults to 100. |
| `debugOptions` | ``object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/DebugOptions`)`` Common debug options. |
| Union parameter `identity_id`. `identity_id` can be only one of the following: ||
| `userResourceName` | `string` |
| `groupResourceName` | `string` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "itemNames": [ string ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `itemNames[]` | `string` |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud_search.debug`
- `https://www.googleapis.com/auth/cloud_search`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).